Project

General

Profile

trouble upgrading my Galaxy S2 from 4.2 to 6.0

Added by Scott Bonds 3 months ago

I have a Galaxy S2 running Replicant 4.2. I copied the new 6.0 image to an SD card, put the SD in the phone, did a factory reset, then tried to "choose zip from sdcard" on the recovery mode menu. Here's what I see:

CWM-based Recovery v6.0.3.6
Warning: No file_contexts

-- Installing. /sdcard/replicant-6.0-i9100.zip
Finding update package...
Opening update package...
Warning: No file_contextsTarget: samsung/GT-I9100/GT-I9100:4.1.2/JZ054K/I9100XWMS2:user/release-keys
detected filesystem ext4 for /dev/block/mmcblk0p10
detected filesystem ext4 for /dev/block/mmcblk0p9
ApplyParsedPerms: lsetfilecon of /system/lost+found to u:object_r:system_file:s0 failed: Operation not supported on transport endpoint
set_metadata_recursive: some changes failed
E:Error in /sdcard/replicant-6.0-i9100.zip
(Status 7)
Installation aborted.
No files found.

There was a long pause between the 'detected' and 'Apply' lines...I want to say it was a number of minutes. After rebooting the phone I see the Samsung splash screen with a triangle yellow exclamation point and then the recovery screen shows. So, I went back into recovery mode and restored my backup, but that didn't fix it. I then reinstalled the 4.2 firmware using the same process I attempted for 6.0, rebooted, and everything worked, just on 4.2 instead of 6.0.

What am I doing wrong in my attempt to install 6.0? Do I need to install the new recovery firmware in order to install 6.0?


Replies (13)

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Joshua Bowren 3 months ago

Scott Bonds wrote:

Do I need to install the new recovery firmware in order to install 6.0?

Yes, this is mentioned in Wolfgang's original Replicant 6 S2 development post. The procedure is pretty much the same as installing for the first time. Worked fine for my I9100.

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by CHRISTIAN PONCET 3 months ago

Hello

I'm sorry, I'm not expert. I have the same trouble as Scott. And I don't understant hoxw to install the new recovery firmware. I install REPLICANT 4.2 with teh external SD CARD, whithout problem.
Could you explain me the process in detail. I don't find the Wolfgang's original REPLICAN 6 S2 development post.

Thanks a lot.
Chris

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Joshua Bowren 3 months ago

Hi Chris,

You should follow the same instructions as if you were installing Replicant for the first time. If you are using the S2 (i9100) it's this one: https://redmine.replicant.us/projects/replicant/wiki/GalaxyS2I9100Installation.

If you still have problems let us know.

Josh

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Christoph Vanecek 2 months ago

Hello Christian,

i had had as a newbie the same problem to update my S2 from Replicant 4.2 to the fantastic new version Replicant 6.0.

The major problem for me was to install the new recovery version on my phone, first i thought it would be enough to install the replicant-6.0-i9100.zip with the old CWM Recovery from the replicant 4.2 release, later i read that Wolfgang mentioned, that it's needed to install the new recovery. :-)

In the end i have done it as follows:

1. I had the heimdall tool installed on my computer, but not in the newest version, so i made a fresh install of heimdall with
(apt-get install heimdall-flash) because i had the problem to install the new recovery image on my S2.

2. After that i could install the recovery with going in download mode (pressing Vol down, Power and Menu button at the same time, after that the Vol up button)
making a connection between laptop and smartphone via usb cable and last but not least i changed with cd Downloads in the folder where my recovery image was saved and
run the command (sudo heimdall flash --KERNEL recovery-i9100.img)

3. After the S2 has rebooted in the recovery you select factory reset, confirm wipe data with yes and select apply update.

4. In the end you can install the replicant-6.0-i9100.zip file and select reboot system now.

After that you can enjoy the wonderful Replicant 6.0!

Good luck.

Vane

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by CHRISTIAN PONCET 2 months ago

Hello Josh and Christoph,

Thanks a lots for your explication.
I'd installed REPLICANT 6.0 and enjoy it.

Chris

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Finn Damn 2 months ago

I also experienced trouble with the installation from 4.2 to 6.0 on Galaxy S II (computer system: Debian 8.8, stable).
I am stucking at applying the update with replicant-6.0-i9100.zip - after installation of recovery image and wiping data.

I tried first the update via internal storage which failed:
"Verifying update package...
E: Footer is wrong
E: signature verification failed
Installation aborted."

Next I tried via SD card which also failed:
"No package file selected."
(I could not select the correct package file because of missing selectiond dialog... Maybe I must reformat the SD card first.)

At least I tried the update via ADB (version 4.2.2+git20130529-5.1) - after activating on my mobile:
"error: protocol fault (no status)"

Currently I cannot do anything with my mobile. I cannot leave the recovery mode.
Maybe I should install a newer version from ADB and try it via ADB again?
What to do? Please help me.

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Wolfgang Wiedmeyer 2 months ago

Finn Damn wrote:

I tried first the update via internal storage which failed:
"Verifying update package...
E: Footer is wrong
E: signature verification failed
Installation aborted."

Next I tried via SD card which also failed:
"No package file selected."
(I could not select the correct package file because of missing selectiond dialog... Maybe I must reformat the SD card first.)

With these two fixes, installations from internal and external storage should work better. At least during my testing, installations from an exFAT-formatted internal storage and an ext4-formatted exernal SD card worked. FAT32-formatted external SD cards should have already worked. I attached a recovery and its signature that has these fixes. Feel free to try again to install Replicant 6.0 according to the installation instructions using the attached files. The fixes will otherwise be part of the next release.

At least I tried the update via ADB (version 4.2.2+git20130529-5.1) - after activating on my mobile:
"error: protocol fault (no status)"

ADB from Debian 8 is too old to work with the Replicant 6.0 recovery. You can either switch to the ADB version from Stretch (which will be released today) or use the ADB that was released with Replicant 6.0.

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Finn Damn 2 months ago

In this case I can just try the SD card or ADB, right?
I'll try it later.. Thank you so far.

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Finn Damn 2 months ago

I used the provided ADB file and this transfers the data. Thank you.

I also downloaded the recovery files, but there the checksum (sha256sum -c i9100.sha256) is invalid: "recovery-i9100.img: FAILURE".

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Wolfgang Wiedmeyer 2 months ago

Finn Damn wrote:

I also downloaded the recovery files, but there the checksum (sha256sum -c i9100.sha256) is invalid: "recovery-i9100.img: FAILURE".

This happens because the attached recovery is a different file and thus has a different checksum. You can check it separately:

sha256sum recovery-i9100.img

The output should look like this:

2d349fa6f89b98da4dcf3710e0e3b1d1b725c601d8adc8610f212e57fe45a590  recovery-i9100.img

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Thomas Kitchin 23 days ago

Can someone provide more details about the having to flash [recovery-xxxx.img] before you install Replicant 6? I went from omnirom 4.4.4 and directly installed [replicant-6.0-xxxx.zip] without problems (via recovery). And my recovery changed to the Replicant branded recovery without my having to flash the partition via Heimdall.

P.S. I'm using an i9100

RE: trouble upgrading my Galaxy S2 from 4.2 to 6.0 - Added by Fil Lupin 21 days ago

Hi Thomas,
it is a month since I moved from replicant-4.2 to 6 on my i9300.

I am not sure what you expected or what you need, could you be more explcit please?

    (1-13/13)